#include "B4RDefines.h"
namespace B4R {
	void B4RTFTv2::Initialize(void) {
		driver = new (TFT) TFT(void);
		driver->TFTInit(void);
	}
	void B4RTFTv2::setCol(UInt StartCol, UInt EndCol) {
		driver->setCol(StartCol, EndCol);
	}
	void B4RTFTv2::setPage(UInt StartPage, UInt EndPage) {
		driver->setPage(StartPage, EndPage);
	}
	void B4RTFTv2::setXY(UInt poX, UInt poY) {
		driver->setXY(poX, poY);
	}
	void B4RTFTv2::setPixel(UInt poX, UInt poY, UInt color) {
		driver->setPixel(poX, poY, color);
	}
	void B4RTFTv2::fillScreen(UInt XL, UInt XR, UInt YU, UInt YD, UInt color) {
		driver->fillScreen(XL, XR, YU, YD, color);
	}
	void B4RTFTv2::drawChar(UInt ascii, UInt poX, UInt poY, UInt size, UInt fgcolor) {
		driver->drawChar(ascii, poX, poY, size, fgcolor);
	}
	/*
 void B4RTFTv2::drawString(char *string, UInt poX, UInt poY, UInt size, UInt fgcolor) {
		driver->drawString(*string, poX, poY, size, fgcolor);
	}  */
	void B4RTFTv2::fillRectangle(UInt poX, UInt poY, UInt length, UInt width, UInt color) {
		driver->fillRectangle(poX, poY, length, width, color);
	}
	void B4RTFTv2::drawLine(UInt x0, UInt y0, UInt x1, UInt y1, UInt color) {
		driver->drawLine(x0, y0, x1, y1, color);
	}
	void B4RTFTv2::drawVerticalLine(UInt poX, UInt poY, UInt length, UInt color) {
		driver->drawVerticalLine(poX, poY, length, color);
	}
	void B4RTFTv2::drawHorizontalLine(UInt poX, UInt poY, UInt length, UInt color) {
		driver->drawHorizontalLine(poX, poY, length, color);
	}
	void B4RTFTv2::drawRectangle(UInt poX, UInt poY, UInt length, UInt width, UInt color) {
		driver->drawRectangle(poX, poY, length, width, color);
	} 
	void B4RTFTv2::drawCircle(UInt poX, UInt poY, UInt r, UInt color) {
		driver->drawCircle(poX, poY, r, color);
	}
	void B4RTFTv2::fillCircle(UInt poX, UInt poY, UInt r, UInt color) {
		driver->fillCircle(poX, poY, r, color);
	}
	void B4RTFTv2::drawTriangle(UInt poX1, UInt poY1, UInt poX2, UInt poY2, UInt poX3, UInt poY3, UInt color) {
		driver->drawTriangle(poX1, poY1, poX2, poY2, poX3, poY3, color);
	}
	UInt B4RTFTv2::drawNumber(UInt long_num, UInt poX, UInt poY, UInt size, UInt fgcolor) {
		driver->drawNumber(long_num, poX, poY, size, fgcolor);
	}	
	UInt B4RTFTv2::drawFloat(Double floatnumber, UInt poX, UInt poY, UInt size, UInt fgcolor) {
		driver->drawFloat(floatnumber, poX, poY, size, fgcolor);
	}

}